Last Comment Bug 483555 - dom-level1 and dom-level2 Mochitests reports miss test url
: dom-level1 and dom-level2 Mochitests reports miss test url
Status: VERIFIED FIXED
[fixed by bug 739927]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- minor with 1 vote (vote)
: mozilla14
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 739927
Blocks: 451287 483407
  Show dependency treegraph
 
Reported: 2009-03-15 18:51 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-04-05 05:31 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Serge Gautherie (:sgautherie) 2009-03-15 18:51:17 PDT
(I first noticed this on my local Windows 2000 SeaMonkey build.)

Example:
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1237154733.1237161001.15457.gz&fulltext=1
Linux mozilla-central unit test on 2009/03/15 15:05:33

*** 33689 INFO TEST-PASS | /tests/dom/tests/mochitest/dom-level0/test_setting_document.domain_to_shortened_ipaddr.html | got wrong response
*** 33691 INFO Running /tests/dom/tests/mochitest/dom-level1-core/test_PIsetdatanomodificationallowederrEE.html...
*** 33692 INFO expected error in todo testcase | Test threw exception: [Exception... "Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER)"  nsresult: "0x80004003 (NS_ERROR_INVALID_POINTER)"  location: "JS frame :: http://localhost:8888/tests/dom/tests/mochitest/dom-level1-core/test_PIsetdatanomodificationallowederrEE.html :: processinginstructionsetdatanomodificationallowederrEE :: line 143"  data: no]
*** 33693 INFO TEST-KNOWN-FAIL | test marked todo should fail somewhere |
*** 33695 INFO Running /tests/dom/tests/mochitest/dom-level1-core/test_attrcreatedocumentfragment.html...
*** 33696 INFO TEST-PASS | attrCreateDocumentFragmentAssert
[...]
*** 40385 INFO Running /tests/dom/tests/mochitest/dom-level2-html/test_table53.html...
*** 40386 INFO TEST-PASS | Asize
*** 40387 INFO TEST-PASS | Asize
*** 40388 INFO TEST-PASS | widthLink
*** 40390 INFO Running /tests/dom/tests/mochitest/general/test_domWindowUtils.html...
}

Odd !
Comment 1 Serge Gautherie (:sgautherie) 2009-03-31 19:35:27 PDT
Another (count) issue, noticed while looking into bug 451287:
{
Reported "Todo" count      : 1268
Number of "TEST-KNOWN-FAIL": 1039
}

The 229 missing cases are lines like
{
nnn INFO expected error in todo testcase | [...]
}
Comment 2 Serge Gautherie (:sgautherie) 2012-04-05 05:30:31 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=10661814&tree=Firefox&full=1
Rev3 Fedora 12 mozilla-central opt test mochitests-3/5 on 2012-04-05 02:56:37 PDT for push ac5721fa4acb

I didn't check the counts, bug the log(ger) issues are fixed.

V.Fixed, by bug 739927.

Note You need to log in before you can comment on or make changes to this bug.